## neochat 23.01.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020-2021 Carl Schwan <carl@carlschwan.eu>
# SPDX-FileCopyrightText: 2020-2021 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-FileCopyrightText: 2020-2021 Tobias Fella <fella@posteo.de>
# SPDX-FileCopyrightText: 2021 Adriaan de Groot <groot@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "23.01")
project(NeoChat VERSION ${PROJECT_VERSION})

set(KF5_MIN_VERSION "5.91.0")
set(QT_MIN_VERSION "5.15.2")
if (ANDROID)
    set(QT_MIN_VERSION "5.15.8")
endif()

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(KDE_COMPILERSETTINGS_LEVEL 5.84)

include(FeatureSummary)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(ECMFindQmlModule)
include(KDECMakeSettings)
include(ECMAddTests)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(KDEGitCommitHooks)
include(ECMCheckOutboundLicense)
if (NOT ANDROID)
    include(KDEClangFormat)
endif()

if(NEOCHAT_FLATPAK)
    include(cmake/Flatpak.cmake)
endif()

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX NEOCHAT
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/neochat-version.h
)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} NO_MODULE COMPONENTS Core Quick Gui QuickControls2 Multimedia Svg)
set_package_properties(Qt${QT_MAJOR_VERSION} PROPERTIES
    TYPE REQUIRED
    PURPOSE "Basic application components"
)
find_package(KF5 ${KF5_MIN_VERSION} COMPONENTS Kirigami2 I18n Notifications Config CoreAddons Sonnet ItemModels)
set_package_properties(KF5 PROPERTIES
    TYPE REQUIRED
    PURPOSE "Basic application components"
)
set_package_properties(KF5Kirigami2 PROPERTIES
    TYPE REQUIRED
    PURPOSE "Kirigami application UI framework"
)
find_package(KF5KirigamiAddons 0.6 REQUIRED)

find_package(Qt${QT_MAJOR_VERSION}Keychain)
set_package_properties(Qt${QT_MAJOR_VERSION}Keychain PROPERTIES
    TYPE REQUIRED
    PURPOSE "Secure storage of account secrets"
)

if(ANDROID)
    find_package(OpenSSL)
    set_package_properties(OpenSSL PROPERTIES
        TYPE REQUIRED
        PURPOSE "Encrypted communications"
    )
else()
    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} COMPONENTS Widgets)
    find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS QQC2DesktopStyle ConfigWidgets KIO WindowSystem)
    set_package_properties(KF5QQC2DesktopStyle PROPERTIES
        TYPE RUNTIME
    )
    ecm_find_qmlmodule(org.kde.syntaxhighlighting 1.0)
endif()

if (NOT ANDROID AND NOT WIN32 AND NOT APPLE)
    find_package(KF5DBusAddons ${KF5_MIN_VERSION} REQUIRED)
endif()

find_package(Quotient 0.6)
set_package_properties(Quotient PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "Qt wrapper around Matrix API"
    URL "https://github.com/quotient-im/libQuotient/"
    PURPOSE "Talk with matrix server"
)

find_package(cmark)
set_package_properties(cmark PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "Cmark is the common mark reference implementation"
    URL "https://github.com/commonmark/cmark"
    PURPOSE "Convert markdown to html"
)

ecm_find_qmlmodule(org.kde.kquickimageeditor 1.0)
ecm_find_qmlmodule(org.kde.kitemmodels 1.0)

find_package(KQuickImageEditor COMPONENTS)
set_package_properties(KQuickImageEditor PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "Simple image editor for QtQuick applications"
    URL "https://invent.kde.org/libraries/kquickimageeditor/"
    PURPOSE "Add image editing capability to image attachments"
)

find_package(QCoro${QT_MAJOR_VERSION} 0.4 COMPONENTS Core REQUIRED)

qcoro_enable_coroutines()

find_package(KF5DocTools ${KF5_MIN_VERSION})
set_package_properties(KF5DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)

find_package(Sqlite3)

if(NOT Quotient_VERSION_MINOR GREATER 6)
    cmake_policy(SET CMP0063 OLD)
endif()

if(ANDROID)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)
endif()

ki18n_install(po)

install(FILES org.kde.neochat.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.neochat.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.neochat.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)
install(FILES org.kde.neochat.tray.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

add_definitions(-DQT_NO_FOREACH)

add_subdirectory(src)
if (BUILD_TESTING AND Quotient_VERSION_MINOR GREATER 6)
    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} NO_MODULE COMPONENTS Test)
    add_subdirectory(autotests)
endif()

if(KF5DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

if (NOT ANDROID)
    file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
file(GLOB_RECURSE ALL_SOURCE_FILES *.cpp *.h *.qml)
# CI installs dependency headers to _install and _build, which break the reuse check
# Fixes the test by excluding this directory
list(FILTER ALL_SOURCE_FILES EXCLUDE REGEX [[_(install|build)/.*]])
ecm_check_outbound_license(LICENSES GPL-3.0-only FILES ${ALL_SOURCE_FILES})

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

enable_testing()

ecm_add_test(
    neochatroomtest.cpp
    LINK_LIBRARIES neochat Qt::Test Quotient
    TEST_NAME neochatroomtest
)

=== doc/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Carl Schwan <carl@carlschwan.eu>
#
# SPDX-License-Identifier: GPL-3.0-or-later

kdoctools_create_manpage(man-neochat.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020-2021 Carl Schwan <carl@carlschwan.eu>
# SPDX-FileCopyrightText: 2020-2021 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-FileCopyrightText: 2020-2021 Tobias Fella <fella@posteo.de>
# SPDX-License-Identifier: BSD-2-Clause

add_library(neochat STATIC
    controller.cpp
    actionshandler.cpp
    models/emojimodel.cpp
    emojitones.cpp
    models/customemojimodel.cpp
    clipboard.cpp
    matriximageprovider.cpp
    models/messageeventmodel.cpp
    models/messagefiltermodel.cpp
    models/roomlistmodel.cpp
    models/sortfilterspacelistmodel.cpp
    spacehierarchycache.cpp
    roommanager.cpp
    neochatroom.cpp
    neochatuser.cpp
    models/userlistmodel.cpp
    models/userfiltermodel.cpp
    models/publicroomlistmodel.cpp
    models/userdirectorylistmodel.cpp
    models/keywordnotificationrulemodel.cpp
    utils.cpp
    notificationsmanager.cpp
    models/sortfilterroomlistmodel.cpp
    chatdocumenthandler.cpp
    models/devicesmodel.cpp
    filetypesingleton.cpp
    login.cpp
    stickerevent.cpp
    models/webshortcutmodel.cpp
    blurhash.cpp
    blurhashimageprovider.cpp
    joinrulesevent.cpp
    models/collapsestateproxymodel.cpp
    urlhelper.cpp
    windowcontroller.cpp
    linkpreviewer.cpp
    models/completionmodel.cpp
    models/completionproxymodel.cpp
    models/actionsmodel.cpp
    models/serverlistmodel.cpp
    models/statemodel.cpp
    filetransferpseudojob.cpp
    models/searchmodel.cpp
)

add_executable(neochat-app
    main.cpp
    res.qrc
)

target_include_directories(neochat-app PRIVATE ${CMAKE_BINARY_DIR})

target_link_libraries(neochat-app PRIVATE
    neochat
)

if(Quotient_VERSION_MINOR GREATER 6)
    target_compile_definitions(neochat PUBLIC QUOTIENT_07)
    target_sources(neochat PRIVATE pollevent.cpp pollhandler.cpp)
else()
    target_compile_definitions(neochat PUBLIC QUOTIENT_VERSION=\"${Quotient_VERSION}\")
    target_sources(neochat PRIVATE neochataccountregistry.cpp)
endif()

ecm_add_app_icon(NEOCHAT_ICON ICONS ${CMAKE_SOURCE_DIR}/128-logo.png)

target_sources(neochat-app PRIVATE ${NEOCHAT_ICON})

if(NOT ANDROID)
    target_sources(neochat PRIVATE colorschemer.cpp)
    if (NOT WIN32 AND NOT APPLE)
        target_sources(neochat PRIVATE trayicon_sni.cpp)
    else()
        target_sources(neochat PRIVATE trayicon.cpp)
    endif()
    target_link_libraries(neochat PUBLIC KF5::ConfigWidgets KF5::WindowSystem)
    target_compile_definitions(neochat PUBLIC -DHAVE_COLORSCHEME)
    target_compile_definitions(neochat PUBLIC -DHAVE_WINDOWSYSTEM)
endif()

if (NOT ANDROID AND NOT WIN32 AND NOT APPLE)
    target_sources(neochat-app PRIVATE res_desktop.qrc)
    target_compile_definitions(neochat PUBLIC -DHAVE_RUNNER)
    target_sources(neochat PRIVATE runner.cpp)
else()
    target_sources(neochat-app PRIVATE res_android.qrc)
endif()

target_include_directories(neochat PRIVATE ${CMAKE_BINARY_DIR})
target_link_libraries(neochat PUBLIC Qt::Core Qt::Quick Qt::Qml Qt::Gui Qt::Multimedia Qt::Network Qt::QuickControls2 KF5::I18n KF5::Kirigami2 KF5::Notifications KF5::ConfigCore KF5::ConfigGui KF5::CoreAddons KF5::SonnetCore  KF5::ItemModels Quotient cmark::cmark ${QTKEYCHAIN_LIBRARIES} QCoro::Core)
kconfig_add_kcfg_files(neochat GENERATE_MOC neochatconfig.kcfgc)

if(NEOCHAT_FLATPAK)
    target_compile_definitions(neochat PUBLIC NEOCHAT_FLATPAK)
endif()

if(ANDROID)
    target_sources(neochat PRIVATE notifyrc.qrc)
    target_link_libraries(neochat PRIVATE Qt::Svg OpenSSL::SSL)
    if(SQLite3_FOUND)
        target_link_libraries(neochat-app PRIVATE SQLite::SQLite3)
    endif()
    target_sources(neochat-app PRIVATE notifyrc.qrc)
    target_link_libraries(neochat PUBLIC Qt::Svg OpenSSL::SSL)
    kirigami_package_breeze_icons(ICONS
        "arrow-down"
        "arrow-up"
        "checkmark"
        "help-about"
        "im-user"
        "im-invisible-user"
        "im-kick-user"
        "mail-attachment"
        "dialog-cancel"
        "preferences-desktop-emoticons"
        "document-open"
        "document-save"
        "document-send"
        "dialog-close"
        "edit-delete-remove"
        "code-context"
        "document-edit"
        "list-user-add"
        "list-add-user"
        "user-others"
        "media-playback-pause"
        "media-playback-start"
        "media-playback-stop"
        "go-previous"
        "go-up"
        "go-down"
        "list-add"
        "irc-join-channel"
        "settings-configure"
        "configure"
        "rating"
        "rating-unrated"
        "search"
        "mail-replied-symbolic"
        "edit-clear"
        "edit-copy"
        "gtk-quit"
        "compass"
        "computer"
        "network-connect"
        "list-remove-user"
        "org.kde.neochat"
        "preferences-system-users"
        "preferences-desktop-theme-global"
        "notifications"
        "notifications-disabled"
        "audio-volume-high"
        "audio-volume-muted"
        "draw-highlight"
        "zoom-in"
        "zoom-out"
        "image-rotate-left-symbolic"
        "image-rotate-right-symbolic"
        "channel-secure-symbolic"
        "download"
        "smiley"
        "tools-check-spelling"
        "username-copy"
        "system-switch-user"
        "bookmark-new"
        "bookmark-remove"
        "favorite"
        "window-new"
        "globe"
        "visibility"
    )
else()
    target_link_libraries(neochat PUBLIC Qt::Widgets KF5::KIOWidgets)
    install(FILES neochat.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})
endif()

if(NOT ANDROID)
    set_target_properties(neochat-app PROPERTIES OUTPUT_NAME "neochat")
endif()

if(TARGET KF5::DBusAddons)
    target_link_libraries(neochat PUBLIC KF5::DBusAddons)
    target_compile_definitions(neochat PUBLIC -DHAVE_KDBUSADDONS)
endif()

if (TARGET KF5::KIOWidgets)
    target_compile_definitions(neochat PUBLIC -DHAVE_KIO)
endif()

install(TARGETS neochat-app ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

if (NOT ANDROID AND NOT WIN32 AND NOT APPLE)
    install(FILES plasma-runner-neochat.desktop DESTINATION ${KDE_INSTALL_DATAROOTDIR}/krunner/dbusplugins)
endif()

## neochat 22.02

=== debian/changelog ===
neochat (22.02-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Fix copyright issue, as some files are released under different
    licenses.

 -- Sandro Knauß <hefee@debian.org>  Mon, 02 May 2022 15:01:37 +0200

neochat (22.02-1) unstable; urgency=medium

  [ Norbert Preining ]
  * Prepare package for Debian.

  [ Sandro Knauß ]
  * First upload to Debian (Closes: #989529)
  * Update Vcs links to salsa.
  * Use new dev package name of qtkechain (qtkeychain-qt5-dev).
  * Add qcoro to BDs.
  * Enable hardening.
  * Make signing key minimal.
  * Add upstream/metadata.
  * Write a better short and long description.
  * Update copyright for 22.02.
  * Update maintainer.
  * Add myself to Uploades.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Feb 2022 04:33:59 +0100

=== debian/control ===
Source: neochat
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.16~),
               cmark,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.88.0~),
               kirigami2-dev (>= 5.88.0~),
               kquickimageeditor-dev,
               libcmark-dev,
               libkf5config-dev (>= 5.88.0~),
               libkf5configwidgets-dev (>= 5.88.0~),
               libkf5coreaddons-dev (>= 5.88.0~),
               libkf5dbusaddons-dev (>= 5.88.0~),
               libkf5i18n-dev (>= 5.88.0~),
               libkf5kio-dev (>= 5.88.0~),
               libkf5notifications-dev (>= 5.88.0~),
               libkf5qqc2desktopstyle-dev (>= 5.88.0~),
               libkf5sonnet-dev (>= 5.88.0~),
               libkf5windowsystem-dev (>= 5.88.0~),
               libqt5svg5-dev (>= 5.15.2~),
               libquotient-dev (>= 0.6~),
               pkg-kde-tools (>= 0.15.18~),
               qcoro-qt5-dev,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtkeychain-qt5-dev,
               qtmultimedia5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/neochat
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/neochat.git
Homepage: https://apps.kde.org/neochat/
Rules-Requires-Root: no

Package: neochat
Architecture: any
Depends: qml-module-org-kde-kirigami2,
         qml-module-org-kde-kitemmodels,
         qml-module-org-kde-kquickimageeditor,
         qml-module-org-kde-qqc2desktopstyle,
         qml-module-org-kde-syntaxhighlighting,
         qml-module-qt-labs-platform,
         qml-module-qt-labs-qmlmodels,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Matrix client for desktop and mobile made by KDE
 A chat application for Matrix, a decentralized communication protocol, created
 by the KDE community. It allows one to send text messages, videos and audio
 files to your family, colleagues and  friends using the Matrix protocol.
 .
 It features an elegant and responsive user interface allows one to adapt to any
 screen size automatically and gracefully. It works on both Desktop and Mobile.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5 --buildsystem kf5

## neochat 22.04

=== debian/changelog ===
neochat (22.04-1) unstable; urgency=medium

  * New upstream release (22.04).
  * Update copyright information for 22.04.

 -- Sandro Knauß <hefee@debian.org>  Mon, 16 May 2022 21:21:45 +0200

## neochat 22.06

=== debian/changelog ===
neochat (22.06-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove the unused debian/meta/ stuff.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Minor updates to copyright.

 -- Pino Toscano <pino@debian.org>  Fri, 24 Jun 2022 21:10:55 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: cmake (>= 3.16~),
                cmark,
                debhelper-compat (= 13),
+               dh-sequence-kf5,
                extra-cmake-modules (>= 5.88.0~),
                kirigami2-dev (>= 5.88.0~),
                kquickimageeditor-dev,
@@ -22,14 +23,13 @@
                libkf5windowsystem-dev (>= 5.88.0~),
                libqt5svg5-dev (>= 5.15.2~),
                libquotient-dev (>= 0.6~),
-               pkg-kde-tools (>= 0.15.18~),
                qcoro-qt5-dev,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtkeychain-qt5-dev,
                qtmultimedia5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev (>= 5.15.2~)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/neochat
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/neochat.git
 Homepage: https://apps.kde.org/neochat/

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/plasma-mobile/([\d.]+)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## neochat 22.09

=== debian/changelog ===
neochat (22.09-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.91.0
    - drop libkf5sonnet-dev, no more needed
    - explicitly add gettext

 -- Pino Toscano <pino@debian.org>  Sat, 22 Oct 2022 12:39:06 +0200

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,20 @@
                cmark,
                debhelper-compat (= 13),
                dh-sequence-kf5,
-               extra-cmake-modules (>= 5.88.0~),
-               kirigami2-dev (>= 5.88.0~),
+               extra-cmake-modules (>= 5.91.0~),
+               gettext,
+               kirigami2-dev (>= 5.91.0~),
                kquickimageeditor-dev,
                libcmark-dev,
-               libkf5config-dev (>= 5.88.0~),
-               libkf5configwidgets-dev (>= 5.88.0~),
-               libkf5coreaddons-dev (>= 5.88.0~),
-               libkf5dbusaddons-dev (>= 5.88.0~),
-               libkf5i18n-dev (>= 5.88.0~),
-               libkf5kio-dev (>= 5.88.0~),
-               libkf5notifications-dev (>= 5.88.0~),
-               libkf5qqc2desktopstyle-dev (>= 5.88.0~),
-               libkf5sonnet-dev (>= 5.88.0~),
-               libkf5windowsystem-dev (>= 5.88.0~),
+               libkf5config-dev (>= 5.91.0~),
+               libkf5configwidgets-dev (>= 5.91.0~),
+               libkf5coreaddons-dev (>= 5.91.0~),
+               libkf5dbusaddons-dev (>= 5.91.0~),
+               libkf5i18n-dev (>= 5.91.0~),
+               libkf5kio-dev (>= 5.91.0~),
+               libkf5notifications-dev (>= 5.91.0~),
+               libkf5qqc2desktopstyle-dev (>= 5.91.0~),
+               libkf5windowsystem-dev (>= 5.91.0~),
                libqt5svg5-dev (>= 5.15.2~),
                libquotient-dev (>= 0.6~),
                qcoro-qt5-dev,

## neochat 22.11

=== debian/changelog ===
neochat (22.11-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Change maintainer to the main Debian Qt/KDE Maintainers team instead
    of Extras.

  [ Rik Mills ]
  * Add checkatomics-to-fix-riscv64-build.patch to fix FTBFS on riscv64.
    Thank you to Gianfranco Costamagna.

  [ Sandro Knauß ]
  * Bump Standards-Version (No changes needed).

 -- Sandro Knauß <hefee@debian.org>  Wed, 28 Dec 2022 15:45:50 +0100

neochat (22.11-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Add all missing qml depdendencies.

 -- Sandro Knauß <hefee@debian.org>  Thu, 08 Dec 2022 14:02:11 +0100

neochat (22.11-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release.
  * Update build-deps and deps with the info from cmake.
  * Update copyright for 22.11.

 -- Sandro Knauß <hefee@debian.org>  Tue, 06 Dec 2022 22:13:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: neochat
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>
 Build-Depends: cmake (>= 3.16~),
                cmark,
@@ -9,6 +9,7 @@
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.91.0~),
                gettext,
+               kirigami-addons-dev (>= 0.6),
                kirigami2-dev (>= 5.91.0~),
                kquickimageeditor-dev,
                libcmark-dev,
@@ -17,9 +18,11 @@
                libkf5coreaddons-dev (>= 5.91.0~),
                libkf5dbusaddons-dev (>= 5.91.0~),
                libkf5i18n-dev (>= 5.91.0~),
+               libkf5itemmodels-dev (>= 5.91.0~),
                libkf5kio-dev (>= 5.91.0~),
                libkf5notifications-dev (>= 5.91.0~),
                libkf5qqc2desktopstyle-dev (>= 5.91.0~),
+               libkf5sonnet-dev (>= 5.91.0~),
                libkf5windowsystem-dev (>= 5.91.0~),
                libqt5svg5-dev (>= 5.15.2~),
                libquotient-dev (>= 0.6~),
@@ -29,7 +32,7 @@
                qtkeychain-qt5-dev,
                qtmultimedia5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev (>= 5.15.2~)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/neochat
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/neochat.git
 Homepage: https://apps.kde.org/neochat/
@@ -38,12 +41,24 @@
 Package: neochat
 Architecture: any
 Depends: qml-module-org-kde-kirigami2,
+         qml-module-org-kde-kirigami-addons-labs-mobileform,
          qml-module-org-kde-kitemmodels,
          qml-module-org-kde-kquickimageeditor,
+         qml-module-org-kde-notifications,
+         qml-module-org-kde-purpose,
          qml-module-org-kde-qqc2desktopstyle,
+         qml-module-org-kde-sonnet,
          qml-module-org-kde-syntaxhighlighting,
          qml-module-qt-labs-platform,
          qml-module-qt-labs-qmlmodels,
+         qml-module-qtmultimedia,
+         qml-module-qtqml,
+         qml-module-qtqml-models2,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
+         qml-module-qtquick-particles2,
+         qml-module-qtquick-window2,
+         qml-module-qtquick2,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Matrix client for desktop and mobile made by KDE

## neochat 23.01.0

=== debian/changelog ===
neochat (23.01.0-1) unstable; urgency=medium

  * New upstream release (23.01.0).
  * Update signing-key file for current release.
  * Update build-deps and deps with the info from cmake.
  * Update patch hunks.
  * Update copyright file.

 -- Sandro Knauß <hefee@debian.org>  Sun, 05 Feb 2023 00:09:19 +0100

=== debian/control ===
--- 
+++ 
@@ -24,14 +24,14 @@
                libkf5qqc2desktopstyle-dev (>= 5.91.0~),
                libkf5sonnet-dev (>= 5.91.0~),
                libkf5windowsystem-dev (>= 5.91.0~),
-               libqt5svg5-dev (>= 5.15.2~),
+               libqt5svg5-dev (>= 5.15.8~),
                libquotient-dev (>= 0.6~),
-               qcoro-qt5-dev,
-               qtbase5-dev (>= 5.15.2~),
-               qtdeclarative5-dev (>= 5.15.2~),
+               qcoro-qt5-dev (>= 0.4~),
+               qtbase5-dev (>= 5.15.8~),
+               qtdeclarative5-dev (>= 5.15.8~),
                qtkeychain-qt5-dev,
-               qtmultimedia5-dev (>= 5.15.2~),
-               qtquickcontrols2-5-dev (>= 5.15.2~)
+               qtmultimedia5-dev (>= 5.15.8~),
+               qtquickcontrols2-5-dev (>= 5.15.8~)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/neochat
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/neochat.git
@@ -40,8 +40,8 @@
 
 Package: neochat
 Architecture: any
-Depends: qml-module-org-kde-kirigami2,
-         qml-module-org-kde-kirigami-addons-labs-mobileform,
+Depends: qml-module-org-kde-kirigami-addons-labs-mobileform,
+         qml-module-org-kde-kirigami2,
          qml-module-org-kde-kitemmodels,
          qml-module-org-kde-kquickimageeditor,
          qml-module-org-kde-notifications,

## neochat 23.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,21 +1,26 @@
 # SPDX-FileCopyrightText: 2020-2021 Carl Schwan <carl@carlschwan.eu>
 # SPDX-FileCopyrightText: 2020-2021 Nicolas Fella <nicolas.fella@gmx.de>
-# SPDX-FileCopyrightText: 2020-2021 Tobias Fella <fella@posteo.de>
+# SPDX-FileCopyrightText: 2020-2021 Tobias Fella <tobias.fella@kde.org>
 # SPDX-FileCopyrightText: 2021 Adriaan de Groot <groot@kde.org>
 # SPDX-License-Identifier: BSD-2-Clause
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "23.01")
-project(NeoChat VERSION ${PROJECT_VERSION})
+# KDE Applications version, managed by release script.
+set(RELEASE_SERVICE_VERSION_MAJOR "23")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
-set(KF5_MIN_VERSION "5.91.0")
+project(NeoChat VERSION ${RELEASE_SERVICE_VERSION})
+
+set(KF_MIN_VERSION "5.91.0")
 set(QT_MIN_VERSION "5.15.2")
 if (ANDROID)
     set(QT_MIN_VERSION "5.15.8")
 endif()
 
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
 
@@ -52,16 +57,16 @@
     TYPE REQUIRED
     PURPOSE "Basic application components"
 )
-find_package(KF5 ${KF5_MIN_VERSION} COMPONENTS Kirigami2 I18n Notifications Config CoreAddons Sonnet ItemModels)
-set_package_properties(KF5 PROPERTIES
+find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} COMPONENTS Kirigami2 I18n Notifications Config CoreAddons Sonnet ItemModels)
+set_package_properties(KF${QT_MAJOR_VERSION} PROPERTIES
     TYPE REQUIRED
     PURPOSE "Basic application components"
 )
-set_package_properties(KF5Kirigami2 PROPERTIES
-    TYPE REQUIRED
-    PURPOSE "Kirigami application UI framework"
-)
-find_package(KF5KirigamiAddons 0.6 REQUIRED)
+set_package_properties(KF${QT_MAJOR_VERSION}Kirigami2 PROPERTIES
+        TYPE REQUIRED
+        PURPOSE "Kirigami application UI framework"
+        )
+find_package(KF${QT_MAJOR_VERSION}KirigamiAddons 0.7.2 REQUIRED)
 
 find_package(Qt${QT_MAJOR_VERSION}Keychain)
 set_package_properties(Qt${QT_MAJOR_VERSION}Keychain PROPERTIES
@@ -77,15 +82,15 @@
     )
 else()
     find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} COMPONENTS Widgets)
-    find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS QQC2DesktopStyle ConfigWidgets KIO WindowSystem)
-    set_package_properties(KF5QQC2DesktopStyle PROPERTIES
+    find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS QQC2DesktopStyle ConfigWidgets KIO WindowSystem)
+    set_package_properties(KF${QT_MAJOR_VERSION}QQC2DesktopStyle PROPERTIES
         TYPE RUNTIME
     )
     ecm_find_qmlmodule(org.kde.syntaxhighlighting 1.0)
 endif()
 
 if (NOT ANDROID AND NOT WIN32 AND NOT APPLE)
-    find_package(KF5DBusAddons ${KF5_MIN_VERSION} REQUIRED)
+    find_package(KF${QT_MAJOR_VERSION}DBusAddons ${KF_MIN_VERSION} REQUIRED)
 endif()
 
 find_package(Quotient 0.6)
@@ -119,8 +124,8 @@
 
 qcoro_enable_coroutines()
 
-find_package(KF5DocTools ${KF5_MIN_VERSION})
-set_package_properties(KF5DocTools PROPERTIES DESCRIPTION
+find_package(KF${QT_MAJOR_VERSION}DocTools ${KF_MIN_VERSION})
+set_package_properties(KF${QT_MAJOR_VERSION}DocTools PROPERTIES DESCRIPTION
     "Tools to generate documentation"
     TYPE OPTIONAL
 )
@@ -150,7 +155,7 @@
     add_subdirectory(autotests)
 endif()
 
-if(KF5DocTools_FOUND)
+if(KF${QT_MAJOR_VERSION}DocTools_FOUND)
     kdoctools_install(po)
     add_subdirectory(doc)
 endif()

=== debian/changelog ===
neochat (23.04.2-1) unstable; urgency=medium

  * Fix watch file target now that Neochat is part of KDE Gear.
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (23.04.2).
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.
  * Refresh patch checkatomics-to-fix-riscv64-build.patch.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 23:44:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sandro Knauß <hefee@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Sandro Knauß <hefee@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                cmark,
                debhelper-compat (= 13),
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.91.0~),
                gettext,
-               kirigami-addons-dev (>= 0.6),
+               kirigami-addons-dev (>= 0.7.2~),
                kirigami2-dev (>= 5.91.0~),
                kquickimageeditor-dev,
                libcmark-dev,
@@ -31,7 +32,7 @@
                qtdeclarative5-dev (>= 5.15.8~),
                qtkeychain-qt5-dev,
                qtmultimedia5-dev (>= 5.15.8~),
-               qtquickcontrols2-5-dev (>= 5.15.8~)
+               qtquickcontrols2-5-dev (>= 5.15.8~),
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/neochat
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/neochat.git
@@ -60,7 +61,7 @@
          qml-module-qtquick-window2,
          qml-module-qtquick2,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: Matrix client for desktop and mobile made by KDE
  A chat application for Matrix, a decentralized communication protocol, created
  by the KDE community. It allows one to send text messages, videos and audio

## neochat 23.04.3

=== debian/changelog ===
neochat (23.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patch checkatomics-to-fix-riscv64-build.patch, which works around a
    missing dependency in one of the qcoro cmake libraries, and ought to be
    fixed there.
  * Run the tests using a display: this will be needed when building against
    libquotient 0.7, which will enable some tests: (Closes: #1028642)
    - add the xvfb, and xauth build dependencies
    - run dh_auto_test via xvfb-run
  * Add the libkf5doctools-dev build dependency to build the documentation.

 -- Pino Toscano <pino@debian.org>  Sat, 29 Jul 2023 06:58:56 +0200

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
                libkf5configwidgets-dev (>= 5.91.0~),
                libkf5coreaddons-dev (>= 5.91.0~),
                libkf5dbusaddons-dev (>= 5.91.0~),
+               libkf5doctools-dev (>= 5.91.0~),
                libkf5i18n-dev (>= 5.91.0~),
                libkf5itemmodels-dev (>= 5.91.0~),
                libkf5kio-dev (>= 5.91.0~),
@@ -33,6 +34,8 @@
                qtkeychain-qt5-dev,
                qtmultimedia5-dev (>= 5.15.8~),
                qtquickcontrols2-5-dev (>= 5.15.8~),
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/neochat
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/neochat.git

## neochat 23.08.1

=== debian/changelog ===
neochat (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:07:13 +0100

neochat (23.08.0-0ubuntu2) mantic; urgency=medium

  * Add new runtime qml module depends for 23.08.

 -- Rik Mills <rikmills@kde.org>  Sun, 27 Aug 2023 17:16:04 +0100

neochat (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:02:09 +0100

neochat (23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * Refresh debian/patches/checkatomics-to-fix-riscv64-build.patch
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Bump libquotient-dev build depends to >= 0.7~

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:41:33 +0100

neochat (23.04.3-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep ammended upstream signing key.
    - Do not drop checkatomics-to-fix-riscv64-build.patch still
      required in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Sat, 29 Jul 2023 13:42:12 +0100

neochat (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:58:10 +0100

neochat (23.04.2-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jun 2023 11:04:17 +0100

neochat (23.04.2-0ubuntu2) mantic; urgency=medium

  * Bump kirigami-addons build depends to minimum of 0.7.2

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Jun 2023 18:50:01 +0100

neochat (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Refresh checkatomics-to-fix-riscv64-build.patch
  * Update debian/upstream/signing-key.asc, copied from k3b
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:03:16 +0100

## neochat 23.08.4

=== debian/changelog ===
neochat (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:23:25 +0000

neochat (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:43:54 +0000

neochat (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:40:05 +0100
